package cz.jzitnik.game;

import java.io.*;

public class GameSaver {
    public void save(Game game) {
        try (ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream("world.ser"))) {
            out.writeObject(game);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static Game load() {
        File file = new File("world.ser");

        if (!file.isFile()) {
            return new Game();
        }

        try {
            FileInputStream fileIn = new FileInputStream("world.ser");

            ObjectInputStream in = new ObjectInputStream(fileIn);

            // Read the object from the file
            Object object = in.readObject();

            Game game = (Game) object;

            in.close();
            fileIn.close();

            return game;
        } catch (IOException | ClassNotFoundException e) {
            throw new RuntimeException(e);
        }

    }
}
