package cz.jzitnik.game.mobs.services.sheep;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class SheepData implements Serializable {
    private int lastDirection = 1; // 1 = right, -1 = left
    private int movementCooldown = 0;
    private int jumpAttempts = 0;
    private SheepVariant variant;

    public SheepData(SheepVariant variant) {
        this.variant = variant;
    }
}
