package cz.jzitnik.game.threads.list;

import cz.jzitnik.game.annotations.ThreadRegistry;
import cz.jzitnik.game.entities.Player;
import lombok.AllArgsConstructor;

@AllArgsConstructor
@ThreadRegistry
public class HealthRegenerationThread extends Thread {
    private final Player player;

    @Override
    public void run() {
        while (true) {
            try {
                Thread.sleep(4000); // Heal every 4 seconds
                player.heal();
            } catch (InterruptedException e) {
                break;
            }
        }
    }
}
